# VirtualBox ZSH Plugin

This plugin provides several aliases for VirtualBox:

* `vb list` - List all VMs
* `vb start <VM>` - Start VM
* `vb stop <VM>` - Send poweroff signal to VM via ACPI, call hard power on failure
* `vb gui <VM>` - Attach to the GUI of VM
* `vb suspend <VM>` - Suspend VM
* `vb restart <VM>` - Restart VM (calls `vb stop`, then `vb start`)
* `vb reset <VM>` - Send reset signal to VM
* `vb status [VM]` - Show status of VM (show all VMs if no VM name is passed)
* `vb snaplist <VM>` - list snapshots for VM
* `vb snapshot <VM> [NAME]` - create snapshot for VM (optional: define a name for the snapshot)
* `vb snaprestore <VM> <NAME>` - restore snapshot for VM
* `vb snapdel <VM> <NAME>` - delete snapshot of VM

Autocompletion for parameters and VMs and their snapshots is enabled.

## Installation

### Antigen

`antigen bundle https://gitlab.com/smark/virtualbox.zshplugin.git`
